Subject: bug#37228: [PATCH] tramp: dired for files which name contains spaces

From: Koichi Arakawa <[email-masked]>
Date: Mon, 02 Sep 2019 07:02:27 +0900 (東京 (標準時))

Michael Albinus <[email-masked]> wrote:
> Thanks for this. Originally, Tramp has used a pattern like you show in
> your patch. Back in 2015, this has been changed in order to use the
> quoting-style-options of ls instead. This works so far, but not in the
> case you have shown.
> 
> Worse, tramp-tests.el didn't detect this. I've extended it a little bit,
> and now it shows this error.

Thank you for your detailed explanation.

> After applying your patch (slightly modified), the tests pass,
> again. I've committed everything to master, could you, pls check?

I have confirmed that it works properly.

> Best regards, Michael.

Best regards,
Koichi Arakawa